html {
    scroll-behavior: smooth;
}

/*отдельные стили для прозрачного хедера*/
.header-container .demo-button {
    border: 1px solid #B3CDFF;
}

.site-header {
    background-color: transparent;
}

.site-header:has(.mobile-header-menu.active){
    background: var(--white-bg);
}

.site-header.menu-active {
    background: var(--white-bg);
}

.site-header.menu-active {
    background-color: #fff;
}

.spacing {
    background: transparent;
}

.spacing.no-special {
    background: var(--white-bg);
}

.site-header.no-special {
    background-color: #fff;;
}

.menu-block li a.no-special {
    color: unset;
}

body:has(.search-popup:not(.hidden)) .site-header{
    background-color: var(--white-bg);
}

@media (hover:hover){
    .site-header:hover {
        background-color: #fff;
        transition: none;
    }
}



/*стили страницы*/
.bring-advanced {
    position: relative;
    height: calc(678px - 74px);
    display: flex;
    align-items: flex-end;
}

.bring-advanced .bring-advanced-wrapper {
    margin-bottom: 80px;
    margin-inline-start: 100px;
    max-width: 50%;
    z-index: 2;
}

.bring-advanced .image-background {
    position: absolute;
    right: 0;
    bottom: 0;
    top: -74px;
    width: 100%;
    height: 678px;
    overflow: hidden;
    z-index: 0;
}

.bring-advanced .image-background video {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: auto;
    min-width: 100%;
    object-fit: cover;
    transform: scale(1.01);
}

.bring-advanced .tab-medium {
    text-transform: uppercase;
    color: var(--n-grey);
}

.bring-advanced .h1 {
    margin: 4px 0 24px;
    color: var(--main-dark);
}

html[lang="ru-RU"] .bring-advanced .h1 {
    font-size: 66px;
}

html[lang="pt-PT"] .bring-advanced .h1 {
    font-size: 62px;
}

.bring-advanced .subtitle-medium {
    color: var(--n-dark-grey);
}

.bring-advanced .custom-button {
    margin-top: 60px;
    justify-content: flex-start;
}

.bring-advanced .play-button {
    position: absolute;
    display: flex;
    right: 36px;
    bottom: 52px;
    background-color: #8C9AAB80;
    padding: 8px 16px 8px 12px;
    gap: 6px;
    border: none;
    border-radius: 100px;
    outline: none;
    z-index: 1100;
    cursor: pointer;
}

.bring-advanced .play-button:hover {
    background-color: #8C9AABE5;
}

.bring-advanced .play-button span {
    color: var(--n-white);
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0;
}

.bring-advanced .play-button .icon-play {
    display: none;
}

.bring-advanced .play-button svg {
    fill: var(--n-white);
}


@media (max-width: 1919px) {
    html[lang="ru-RU"] .bring-advanced .h1,
    html[lang="pt-PT"] .bring-advanced .h1 {
        font-size: 48px;
    }

    .bring-advanced {
        height: calc(608px - 74px);
    }

    .bring-advanced .image-background {
        height: 608px;
    }

    .bring-advanced .bring-advanced-wrapper {
        margin-bottom: 80px;
        margin-inline-start: 80px;
    }

    .bring-advanced .h1 {
        margin: 4px 0 24px;
    }

    .bring-advanced .custom-button {
        margin-top: 40px;
    }

    .bring-advanced .play-button {
        right: 32px;
        bottom: 32px;
    }
}

@media (max-width: 1439px) {
    html[lang="ru-RU"] .bring-advanced .h1,
    html[lang="pt-PT"] .bring-advanced .h1 {
        font-size: 40px;
    }

    .bring-advanced {
        height: calc(548px - 74px);
    }

    .bring-advanced .image-background {
        height: 548px;
    }

    .bring-advanced .image-background video {
        right: 0;
    }

    .bring-advanced .bring-advanced-wrapper {
        margin-bottom: 60px;
        margin-inline-start: 60px;
    }

    .bring-advanced .h1 {
        margin: 4px 0 24px;
    }

    .bring-advanced .play-button {
        right: 24px;
        bottom: 24px;
    }
}

@media (max-width: 1079px) {
    .bring-advanced {
        flex-direction: column;
        height: unset;
        justify-content: start;
    }

    .bring-advanced .image-background video {
        right: 0;
    }

    .bring-advanced .image-background::after{
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient(180deg, rgba(234, 243, 255, 0) 54.87%, #EAF3FF 100%);
        pointer-events: none;
        z-index: 1000;
    }

    .bring-advanced .bring-advanced-wrapper {
        margin-bottom: 0;
        margin-inline-start: 0;
        padding-inline-start: 40px;
        padding-bottom: 60px;
        padding-inline-end: 185px;
        margin-top: calc(600px - 74px);
        background-color: var(--bg-grey);
        width: 100%;
        max-width: unset;
    }

    .bring-advanced .image-background {
        height: 600px;
    }

    .bring-advanced .custom-button {
        gap: 10px;
        margin-top: 32px;
    }

    .bring-advanced .play-button {
        right: 20px;
        bottom: 20px;
        background-color: unset;
        padding: 0;
    }

    .bring-advanced .play-button svg {
        width: 40px;
        height: 40px;
        fill: #8C9AAB80;
    }

    .bring-advanced .play-button:hover svg {
        fill: #8C9AABE5;
    }

    .bring-advanced .play-button span {
        display: none;
    }

    .bring-advanced .play-button:hover {
        background-color: unset;
    }
}

@media (max-width: 576px) {
    html[lang="ru-RU"] .bring-advanced .h1,
    html[lang="pt-PT"] .bring-advanced .h1 {
        font-size: 32px;
    }

    .bring-advanced .image-background {
        height: 320px;
    }

    .bring-advanced .bring-advanced-wrapper {
        margin-top: calc(320px - 74px);
        padding: 0 16px 40px;
        width: 100%;
    }

    .bring-advanced .subtitle-medium {
        width: 100%;
        font-weight: 500;
        font-size: 18px;
        line-height: 28px;
    }

    .bring-advanced .h1 {
        margin: 4px 0 12px;
    }

    .bring-advanced .custom-button a {
        height: 56px;
    }
}